# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
%define fedora 19
# %name or %version is ahead of its definition. Predefining for rpm 4.0 compatibility.
%define name yash
%define version 2.34
# Upstream SCM
# Upstream is currently using SVN
# SVN path: http://svn.sourceforge.jp/svnroot/yash/yash/trunk

%global		repoid		58183
%global		mainver	2.34
%global		docver		%{mainver}

%global		yashdocdir		%{_datadir}/doc/%{name}-doc-%{version}

%global		mainrel		1
%undefine		minorver

Name:		yash
Version:	%{mainver}
Release:	alt1_1
Summary:	Yet Another SHell

Group:		Shells
License:	GPLv2+
URL:		http://yash.sourceforge.jp/
Source0:	http://dl.sourceforge.jp/yash/%{repoid}/%{name}-%{version}%{?minorver}.tar.xz
#Source1:	http://dl.sourceforge.jp/yash/%{repoid}/%{name}-doc-%{docver}%{?minorver}-ja.tar.gz

# Patches

BuildRequires:	ncurses-devel
%if 0%{?fedora} >= 17
Provides:		/bin/yash
%endif
# Write needed Requires for scriptlets explicitly
Requires(post):	grep
Requires(post):	coreutils
Requires(postun):	sed
Source44: import.info


%description
Yash is a command line shell that conforms to the POSIX.1 (IEEE Std
1003.1, 2008 Edition) standard for the most part.

Yash also has its own features beyond POSIX, such as:
  * global aliases
  * random numbers
  * socket redirections and other special redirections
  * right prompt
  * command completion


%package	doc
Summary:	Documentation for %{name}
Group:		Documentation
Version:	%{docver}
Release:	%{release}
License:	CC-BY-SA
BuildArch:	noarch
Requires:	%{name} = %{mainver}-%{release}
#Requires:	%{name} >= %{version}

%description	doc
This package contains document files for %{name}.

%prep
#%%setup -q -n %{name}-%{mainver}%{?minorver} -a 1
%setup -q

%build
# This package use configure not based on autotools...
# won't accept --libdir=
env \
	CC="%{__cc} -std=c99" \
	CFLAGS="%{optflags}" \
	\
	./configure \
	--prefix=%{_prefix} \
	--exec-prefix=%{_exec_prefix} \
%if 0%{?fedora} >= 17
	--bindir=%{_bindir} \
%else
	--bindir=/bin \
%endif
	--datarootdir=%{_datarootdir} \
	--docdir=%{yashdocdir}/ \

make -k %{?_smp_mflags}

%install
make install install-html \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALL="install -p" \
	CPPROG="cp -p"

%find_lang %{name}

%check
make test || { sleep 3 ; cat tests/test.log ; sleep 3; exit 1; }

%post
if [ -f %{_sysconfdir}/shells ]
then
	grep -q '^/bin/yash$' %{_sysconfdir}/shells || echo '/bin/yash' >> %{_sysconfdir}/shells
else
	echo '/bin/yash' > %{_sysconfdir}/shells
fi
exit 0

%postun
[ -f %{_sysconfdir}/shells ] || exit 0
sed -i -e '\@/bin/yash$@d' %{_sysconfdir}/shells
exit 0

%files -f %name.lang
%doc	COPYING
%doc	NEWS
%doc	README
%lang(ja)	%doc	NEWS.ja
%lang(ja)	%doc	README.ja

%if 0%{?fedora} >= 17
%{_bindir}/%{name}
%else
/bin/%{name}
%endif

%dir	%{_datadir}/%{name}
%{_datadir}/%{name}/completion/

%{_mandir}/man1/yash.1*
%lang(ja)	%{_mandir}/ja/man1/yash.1*

%files	doc
%dir	%{yashdocdir}/
%{yashdocdir}/*.html
%{yashdocdir}/*.css
%lang(ja)	%{yashdocdir}/ja/

%changelog
* Thu Mar 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.34-alt1_1
- update to new release by fcimport

* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 2.33.1-alt1_1.1
- update to new release by fcimport

* Wed Jan 09 2013 Igor Vlasenko <viy@altlinux.ru> 2.33.1-alt1_1
- update to new release by fcimport

* Wed Jan 02 2013 Igor Vlasenko <viy@altlinux.ru> 2.33-alt1_1
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 2.31-alt1_1.1
- update to new release by fcimport

* Fri Jun 08 2012 Igor Vlasenko <viy@altlinux.ru> 2.30-alt1_1
- fc import

